HomeAgent FAQDialer RequirementsMinimum System Requirements

2.2. Minimum System Requirements

The following are the minimum system requirements for computers on which SafeSoft related applications should be used. If the computer does not meet at least the minimum work station requirements, you may need to upgrade or replace the computer being used for this solution.

Supported Operating Systems

  • Windows 2000 Service Pack 4 or Higher
  • Windows XP SP 2 or higher
  • Windows Vista (32-bit / 64-bit)
  • Windows 7 (32-bit / 64-bit)
  • Mac (Limited support)

Non Supported Operating Systems

  • Chromebook

Minimum Workstation Requirements

  • For use with Embedded Soft Phone

    • For Systems running Windows 2000 / XP
      • 2.0 Ghz Pentium Dual Core or AMD X2 equivalent (Net book CPU's such as Intel Atom not recommended)
      • 1GB RAM

    • For Systems running Windows Vista / 7
      • 2.0 Ghz Pentium Dual Core or AMD X2 equivalent (Net book CPU's such as Intel Atom not recommended)
      • 2GB RAM
  • For use with external soft phone (X-Lite 3.0-4.0 / Zoiper External 2.0 - 3.0)

    • For Systems running Windows 2000 / XP
      • 1.6 Pentium 4 or AMD equivalent (Intel Celeron CPU Not Recommended)
      • 1 GB RAM

    • For Systems running Windows Vista / 7
      • 1.8Ghz Pentium Dual Core or AMD X2 equivalent (Net book CPU's such as Intel Atom not recommended)
      • 2GB RAM

       

  • For Headset - We recommend to use a USB headset with noise cancellation feature for better audio quality.

                

Software Requirements

  • Web Browsers that work with our system
    • Mozilla Firefox 3.5.1 or greater

       NOT Supported: Internet Explorer & other browsers

  • Additional Software which may be neccessary
    • Latest version of Java to comply with security standards
    • ZoIPer Plugin

Knowledge Tags

Related Pages
This page was: Helpful | Not Helpful